Subject: Re: [PATCH v3] bulk-checkin: only support blobs in index_bulk_checkin

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Sep 2023 21:08:59 -0700

Taylor Blau <[email-masked]> writes:

> Hmm. I wonder if retaining some flexibility in the bulk-checkin
> mechanism may be worthwhile. We discussed at the Contributor's
> Summit[^1] today that the bulk-checkin system may be a good fit for
> packing any blobs/trees created by `merge-tree` or `replay` instead of
> writing them out as loose objects.

But see the last paragraph of my review comments for the earlier
round upthread.  This particular function implements logic that is
only applicable to blob objects, and streaming trees, commits, and
tags will need their own separate helper functions.  And when they
are written, the top-level stream_to_pack() function can be
reintroduced, which will be a thin dispatcher to the four
type-specific helpers.